TypeIdResolverBase (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.jsontype.impl

## Class TypeIdResolverBase

- java.lang.Object
- - org.codehaus.jackson.map.jsontype.impl.TypeIdResolverBase

- All Implemented Interfaces:
    TypeIdResolver
  Direct Known Subclasses:
    ClassNameIdResolver, TypeNameIdResolver

      public abstract class TypeIdResolverBase
      extends Object
      implements TypeIdResolver

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JavaType` | `_baseType` Common base type for all polymorphic instances handled.
    `protected TypeFactory` | `_typeFactory`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TypeIdResolverBase(JavaType baseType, TypeFactory typeFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `idFromBaseType()`
    `void` | `init(JavaType bt)` Method that will be called once before any type resolution calls; used to initialize instance with configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.jackson.map.jsontype.TypeIdResolver

      `getMechanism, idFromValue, idFromValueAndType, typeFromId`

- - ### Field Detail

    - #### _typeFactory

          protected final TypeFactory _typeFactory

    - #### _baseType

          protected final JavaType _baseType

      Common base type for all polymorphic instances handled.

  - ### Constructor Detail

    - #### TypeIdResolverBase

          protected TypeIdResolverBase(JavaType baseType,
                            TypeFactory typeFactory)

  - ### Method Detail

    - #### init

          public void init(JavaType bt)

      Description copied from interface: `TypeIdResolver`
      Method that will be called once before any type resolution calls; used to initialize instance with configuration. This is necessary since instances may be created via reflection, without ability to call specific constructor to pass in configuration settings.
      Specified by:
        `init` in interface `TypeIdResolver`
      Parameters:
        `bt` - Base type for which this id resolver instance is used

    - #### idFromBaseType

          public String idFromBaseType()

      Since:
        1.9.4